// Macrolst.h : header file
//

#include "vtdm.h"

/////////////////////////////////////////////////////////////////////////////
// CMacroList dialog

class CMacroList : public CDialog
{
// Construction
public:
	CMacroList(CWnd* pParent = NULL,
              VTDictationMacroDatabase* macrodatabase = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMacroList)
	enum { IDD = IDD_MACROLIST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMacroList)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMacroList)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
   inline CListCtrl* GetMacroListCtrl(void)
   {
      return (CListCtrl*)GetDlgItem(IDC_MACROLIST);
   };

   void CMacroList::InsertMacros(void);
  
private:
   VTDictationMacroDatabase* m_macrodatabase;

};
