//------------------------------------------------------------------------------
//
// COPYRIGHT:
// ----------
// Copyright (C) International Business Machines Corp., 1996.
//
// DISCLAIMER OF WARRANTIES:
// -------------------------
// The following [enclosed] code is sample code created by IBM
// Corporation.  This sample code is not part of any standard IBM
// product and is provided to you solely for the purpose of
// assisting you in the development of your applications.  The
// code is provided "AS IS", without warranty of any kind.  IBM
// shall not be liable for any damages arising out of your use of
// the sample code, even if they have been advised of the
// possibility of such damages.
//
//------------------------------------------------------------------------------
// VTData.cpp : implementation file
//

#include "stdafx.h"
#include "SmDplus.h"
#include "VTData.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// VTData dialog


VTData::VTData(CWnd* pParent /*=NULL*/)
	: CDialog(VTData::IDD, pParent)
{
	//{{AFX_DATA_INIT(VTData)
	m_AppAPIVer = _T("");
	m_InstAPIVer = _T("");
	m_DefaultUserID = _T("");
	m_DefaultEnrollID = _T("");
	m_DefaultTask = _T("");
	//}}AFX_DATA_INIT
}


void VTData::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(VTData)
	DDX_Text(pDX, IDC_EDIT1, m_AppAPIVer);
	DDX_Text(pDX, IDC_EDIT2, m_InstAPIVer);
	DDX_Text(pDX, IDC_EDIT3, m_DefaultUserID);
	DDX_Text(pDX, IDC_EDIT4, m_DefaultEnrollID);
	DDX_Text(pDX, IDC_EDIT5, m_DefaultTask);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(VTData, CDialog)
	//{{AFX_MSG_MAP(VTData)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// VTData message handlers
