// TextBoxWAVDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TextBoxWAV.h"
#include "TextBoxWAVDlg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif



/////////////////////////////////////////////////////////////////////////////
// CTextBoxWAVDlg dialog

CTextBoxWAVDlg::CTextBoxWAVDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTextBoxWAVDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTextBoxWAVDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CTextBoxWAVDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTextBoxWAVDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTextBoxWAVDlg, CDialog)
	//{{AFX_MSG_MAP(CTextBoxWAVDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_WAVInput, OnWAVInput)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTextBoxWAVDlg message handlers

BOOL CTextBoxWAVDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

   m_pvvTextBox=(CVVTextBox*)GetDlgItem(IDC_VVTEXTBOX1);
   ASSERT(m_pvvTextBox);
   m_pvvTextBox->SetFocus();
   
    m_Engine=m_pvvTextBox->GetEngine();

   ::SetWindowText(m_hWnd,_T("TextBox - WAV input"));

   SetDlgItemText(IDC_FileName,_T("d:\\temp\\paudicus.wav"));

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CTextBoxWAVDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CTextBoxWAVDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CTextBoxWAVDlg::OnWAVInput() 
{   

   TCHAR  lpszFileName[128];   
   GetDlgItemText(IDC_FileName,lpszFileName,sizeof(lpszFileName));  
   
   m_Engine.SetAudioSource(lpszFileName);
   m_Engine.SetAudioState(1);  //vvasStarted
       
}

void CTextBoxWAVDlg::OnOK() 
{  	
	CDialog::OnOK();
}
